Bug 1106881 - (CVE-2018-16376) VUL-1: CVE-2018-16376: openjpeg2: heap-based buffer overflow function t2_encode_packet in lib/openmj2/t2.c.
(CVE-2018-16376)
VUL-1: CVE-2018-16376: openjpeg2: heap-based buffer overflow function t2_enco...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/213659/
CVSSv3:SUSE:CVE-2018-16376:5.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-03 08:43 UTC by Karol Babioch
Modified: 2022-09-16 09:26 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-09-03 08:43:04 UTC
CVE-2018-16376

An issue was discovered in OpenJPEG 2.3.0. A heap-based buffer overflow was
discovered in the function t2_encode_packet in lib/openmj2/t2.c. The
vulnerability causes an out-of-bounds write, which may lead to remote denial of
service or possibly unspecified other impact.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-16376
https://github.com/uclouvain/openjpeg/issues/1127
Comment 1 Karol Babioch 2018-09-04 07:31:09 UTC
Based on the source code all supported codestreams are affected:

- SUSE:SLE-12-SP2:Update
- SUSE:SLE-15:Update
Comment 2 Karol Babioch 2018-09-04 07:40:36 UTC
The usptream GitHub issues also contains proposed patch.
Comment 3 Marcus Meissner 2022-02-24 15:33:43 UTC
poing?
Comment 5 Hans Petter Jansson 2022-04-01 21:34:50 UTC
Done, reassigning to security-team.
Comment 6 Swamp Workflow Management 2022-04-07 19:17:41 UTC
SUSE-SU-2022:1129-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1102016,1106881,1106882,1140130,1140205,1162090,1173578,1180457,1184774,1197738,971617,980504
CVE References: CVE-2016-1924,CVE-2016-3183,CVE-2016-4797,CVE-2018-14423,CVE-2018-16375,CVE-2018-16376,CVE-2018-20845,CVE-2018-20846,CVE-2020-15389,CVE-2020-27823,CVE-2020-8112,CVE-2021-29338,CVE-2022-1122
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud Crowbar 8 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud 9 (src):    openjpeg2-2.1.0-4.15.1
SUSE OpenStack Cloud 8 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP5 (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    openjpeg2-2.1.0-4.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    openjpeg2-2.1.0-4.15.1
HPE Helion Openstack 8 (src):    openjpeg2-2.1.0-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-04-19 10:24:21 UTC
SUSE-SU-2022:1252-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1076314,1076967,1079845,1102016,1106881,1106882,1140130,1160782,1162090,1173578,1180457,1184774,1197738
CVE References: CVE-2018-14423,CVE-2018-16375,CVE-2018-16376,CVE-2018-20845,CVE-2018-5727,CVE-2018-5785,CVE-2018-6616,CVE-2020-15389,CVE-2020-27823,CVE-2020-6851,CVE-2020-8112,CVE-2021-29338,CVE-2022-1122
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    openjpeg2-2.3.0-150000.3.5.1
openSUSE Leap 15.3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Server 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Retail Branch Server 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Manager Proxy 4.1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Enterprise Storage 7 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE Enterprise Storage 6 (src):    openjpeg2-2.3.0-150000.3.5.1
SUSE CaaS Platform 4.0 (src):    openjpeg2-2.3.0-150000.3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-04-21 19:20:53 UTC
SUSE-SU-2022:1296-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1102016,1106881,1162090,1173578,1180457,1184774
CVE References: CVE-2018-14423,CVE-2018-16376,CVE-2020-15389,CVE-2020-27823,CVE-2020-8112,CVE-2021-29338
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    openjpeg-1.5.2-150000.4.5.1
openSUSE Leap 15.3 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Server 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Retail Branch Server 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Manager Proxy 4.1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Enterprise Storage 7 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE Enterprise Storage 6 (src):    openjpeg-1.5.2-150000.4.5.1
SUSE CaaS Platform 4.0 (src):    openjpeg-1.5.2-150000.4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Gabriele Sonnu 2022-09-16 09:26:41 UTC
Done.